Bug 238864 - eclipse crash with java.lang.IndexOutOfBoundsException
eclipse crash with java.lang.IndexOutOfBoundsException
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 11:03 EDT by oDDsKooL
Modified: 2008-05-06 15:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.log file (4.35 KB, text/plain)
2007-05-03 11:03 EDT, oDDsKooL
no flags Details

  None (edit)
Description oDDsKooL 2007-05-03 11:03:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):
eclipse-cdt-3.1.2-3.fc6

How reproducible:
don't know

Actual results:

eclipse crash

Expected results:

nocrash

Additional info:

seems related to Find/Replace feature (see .log file attached)
Comment 1 oDDsKooL 2007-05-03 11:03:22 EDT
Created attachment 154038 [details]
.log file
Comment 2 Jeff Johnston 2007-05-03 17:19:28 EDT
Kind of tough to analyze without a test-scenario.  Does the scenario occur with
any regularity?  If yes, does switching to a third-party jvm solve the problem?
Comment 3 oDDsKooL 2007-05-04 08:50:05 EDT
I **think** that it's related to application switching : when rapidly switching
to/from eclipse-cdt with a Find pan open. It just happened to me twice today. 

It's uneasy for me to try with another vendor's JVM, as I'm bound to use GCJ for
tracking bug #238111 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238111)

If I use eclipse-cdt for a week without attending bug #238111, I'll try with
another JVM for this one.

cheers,

<Poor user trying to develop without hanging its IDE 5 times a day !>
Comment 4 Bug Zapper 2008-04-04 03:10:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:34:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.